## GtkCellView

GtkCellView — A widget displaying a single row of a GtkTreeModel

## Functions

GtkWidget * | gtk_cell_view_new ()
GtkWidget * | gtk_cell_view_new_with_text ()
GtkWidget * | gtk_cell_view_new_with_markup ()
GtkWidget * | gtk_cell_view_new_with_pixbuf ()
void | gtk_cell_view_set_model ()
GtkTreeModel * | gtk_cell_view_get_model ()
void | gtk_cell_view_set_displayed_row ()
GtkTreePath * | gtk_cell_view_get_displayed_row ()
gboolean | gtk_cell_view_get_size_of_row ()
void | gtk_cell_view_set_background_color ()
GList * | gtk_cell_view_get_cell_renderers ()

## Properties

gchar * | background | Write
GdkColor * | background-gdk | Read / Write
gboolean | background-set | Read / Write
GtkTreeModel * | model | Read / Write

## Types and Values

struct | GtkCellView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkCellView

## Implemented Interfaces

GtkCellView implements AtkImplementorIface, GtkBuildable and GtkCellLayout.

## Includes

    #include <gtk/gtk.h>

## Description

A GtkCellView displays a single row of a GtkTreeModel, using cell renderers just like GtkTreeView. GtkCellView doesn't support some of the more complex features of GtkTreeView, like cell editing and drag and drop.

## Functions

### gtk_cell_view_new ()

    GtkWidget *
    gtk_cell_view_new (void);

Creates a new GtkCellView widget.

#### Returns

A newly created GtkCellView widget.

Since 2.6

### gtk_cell_view_new_with_text ()

    GtkWidget *
    gtk_cell_view_new_with_text (const gchar *text);

Creates a new GtkCellView widget, adds a GtkCellRendererText to it, and makes its show `text` .

#### Parameters

text | the text to display in the cell view |

#### Returns

A newly created GtkCellView widget.

Since 2.6

### gtk_cell_view_new_with_markup ()

    GtkWidget *
    gtk_cell_view_new_with_markup (const gchar *markup);

Creates a new GtkCellView widget, adds a GtkCellRendererText to it, and makes it show `markup` . The text can be marked up with the Pango text markup language.

#### Parameters

markup | the text to display in the cell view |

#### Returns

A newly created GtkCellView widget.

Since 2.6

### gtk_cell_view_new_with_pixbuf ()

    GtkWidget *
    gtk_cell_view_new_with_pixbuf (GdkPixbuf *pixbuf);

Creates a new GtkCellView widget, adds a GtkCellRendererPixbuf to it, and makes its show `pixbuf` .

#### Parameters

pixbuf | the image to display in the cell view |

#### Returns

A newly created GtkCellView widget.

Since 2.6

### gtk_cell_view_set_model ()

    void
    gtk_cell_view_set_model (GtkCellView *cell_view,
                             GtkTreeModel *model);

Sets the model for `cell_view` . If `cell_view` already has a model set, it will remove it before setting the new model. If `model` is `NULL`, then it will unset the old model.

#### Parameters

cell_view | a GtkCellView |
model | a GtkTreeModel. | [allow-none]

Since 2.6

### gtk_cell_view_get_model ()

    GtkTreeModel *
    gtk_cell_view_get_model (GtkCellView *cell_view);

Returns the model for `cell_view` . If no model is used `NULL` is returned.

#### Parameters

cell_view | a GtkCellView |

#### Returns

a GtkTreeModel used or `NULL`.

[transfer none]

Since 2.16

### gtk_cell_view_set_displayed_row ()

    void
    gtk_cell_view_set_displayed_row (GtkCellView *cell_view,
                                     GtkTreePath *path);

Sets the row of the model that is currently displayed by the GtkCellView. If the path is unset, then the contents of the cellview "stick" at their last value; this is not normally a desired result, but may be a needed intermediate state if say, the model for the GtkCellView becomes temporarily empty.

#### Parameters

cell_view | a GtkCellView |
path | a GtkTreePath or `NULL` to unset. | [allow-none]

Since 2.6

### gtk_cell_view_get_displayed_row ()

    GtkTreePath *
    gtk_cell_view_get_displayed_row (GtkCellView *cell_view);

Returns a GtkTreePath referring to the currently displayed row. If no row is currently displayed, `NULL` is returned.

#### Parameters

cell_view | a GtkCellView |

#### Returns

the currently displayed row or `NULL`

Since 2.6

### gtk_cell_view_get_size_of_row ()

    gboolean
    gtk_cell_view_get_size_of_row (GtkCellView *cell_view,
                                   GtkTreePath *path,
                                   GtkRequisition *requisition);

Sets `requisition` to the size needed by `cell_view` to display the model row pointed to by `path` .

#### Parameters

cell_view | a GtkCellView |
path | a GtkTreePath |
requisition | return location for the size. | [out]

#### Returns

`TRUE`

Since 2.6

### gtk_cell_view_set_background_color ()

    void
    gtk_cell_view_set_background_color (GtkCellView *cell_view,
                                        const GdkColor *color);

Sets the background color of `view` .

#### Parameters

cell_view | a GtkCellView |
color | the new background color |

Since 2.6

### gtk_cell_view_get_cell_renderers ()

    GList *
    gtk_cell_view_get_cell_renderers (GtkCellView *cell_view);

`gtk_cell_view_get_cell_renderers` has been deprecated since version 2.18 and should not be used in newly-written code.

use `gtk_cell_layout_get_cells()` instead.

Returns the cell renderers which have been added to `cell_view` .

#### Parameters

cell_view | a GtkCellView |

#### Returns

a list of cell renderers. The list, but not the renderers has been newly allocated and should be freed with `g_list_free()` when no longer needed.

Since 2.6

## Types and Values

### struct GtkCellView

    struct GtkCellView;

## Property Details

### The `“background”` property

      “background”               gchar *

Background color as a string.

Flags: Write

Default value: NULL

### The `“background-gdk”` property

      “background-gdk”           GdkColor *

Background color as a GdkColor.

Flags: Read / Write

### The `“background-set”` property

      “background-set”           gboolean

Whether this tag affects the background color.

Flags: Read / Write

Default value: FALSE

### The `“model”` property

      “model”                    GtkTreeModel *

The model for cell view

since 2.10

Flags: Read / Write